{
    "assets": {
        "basePath": "/app/assets/"
    },
    "router": {
        "getRolesFrom":  "app.User.getRoles",
        "controllersPath": "/app/controllers/",
        "modelsPath": "/app/models/",
        "viewsPath": "/app/views/",
        "libsBaseClasses":[ 
            {   
                "path": "/Windoz",
                "classes": [ "WindozController", "WindozDomContent", "WindozDialogContent", "WindozMetaData", "WindozModel", "WindozPluralModel", "WindozBusModel" ],
                "dependencies" : {  "WindozPluralModel": [ "WindozModel" ] }
            }           
        ],                        
        "masterController": "WindozAppController",
        "defaultMasterTemplate": "templates/EICAppTemplate"
    },
    "logger": {
        "enabled": true,
        "levels": ["err","warn"],
        "latestErrsMax": 20,
        "postUrl": "xxxhttps://a42.internike.com/api/logger"
    },
    "userLib": {
        "className": "myUser",
        "checkauthEndpoint": "/api/checkauth",
        "loginEndpoint": "/api/login",
        "logoutEndpoint": "/api/logout",
        "modelPath": "/app/models/myUserModel",
        "keepAliveSeconds": 0
    },
    "messageBus":{
        "enabled": true,
        "debug": true,
        "pathToWorker": "/core/libs/MessageBusWorker.js",
        "protocol": "wss://",
        "host": "42.internike.com",
        "Xport": "4443",
        "path": "/msgbus",
        "connectTimeout": 5,
        "autoReconnect": 5,
        "autoReconnectTimeFactor": 1.3,
        "autoReconnectTimeMax": 30,
        "autoReconnectJitterPercent": 10,
        "frontBusPrefix": "",
        "userNotifChan": "system:notifs:{uid}",
        "ptpChanPrefix": "peer2peer:"
    },
    "squeeze": { 
        "indexDefaults" : {
            "scripts" : [ "/core/Sparc-core-1.0.js" ],
            "styles" : ["/app/thirdparty/eicui/eicui-2.0.css"]
        },
        "packages" : [
            {
                "target": "core.js",
                "sources": [    "/core/Sparc-core-1.0.js",
                                "/core/libs/Assets.js",
                                "/core/libs/Events.js",
                                "/core/libs/Logger.js",
                                "/core/libs/MessageBus.js",
                                "/core/libs/Router.js",
                                "/core/baseClasses/Controller.js",
                                "/core/baseClasses/MasterController.js",
                                "/core/baseClasses/Model.js",
                                "/core/baseClasses/View.js",
                                "/core/baseClasses/User.js",
                                "/app/libs/myUser.js"
                ],
                "compressed": false,
                "minify": true,
                "mangle": false,
                "setIndexPage": true
            },
            {
                "target": "windozlibs.js",
                "sources": [
                    "/app/libs/Windoz/WindozController.js",
                    "/app/libs/Windoz/WindozDialogContent.js",
                    "/app/libs/Windoz/WindozDomContent.js",
                    "/app/libs/Windoz/WindozMetaData.js",
                    "/app/libs/Windoz/WindozModel.js",
                    "/app/libs/Windoz/WindozPluralModel.js"                
                ],
                "compressed": false,
                "minify": false,
                "mangle": false,
                "setIndexPage": true
            }
        ]   
    } 
}
